// Copyright (c) 1999, 2000 David A. Bartold
// Copyright (c) 2002 Raymond Ostertag
// 2002 fev 13 Move the bottom water plane in this file
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

// Declare a TF_LANDSCAPE_TEXTURE before #including this file.
// TF_LANDSCAPE_TEXTURE (if it's a texture_map) should be defined as such:
//   0.0 = seafloor level
//   1.0 = highest point


camera
{  
  location TF_CAMERA_LOCATION
  look_at  TF_CAMERA_LOOK_AT
}


// Create land:

// Tiling has been disabled as it causes a bunch of headaches
// #if (TF_TILE_TERRAIN = false) 

  object
  {
    TF_HEIGHT_FIELD

    texture
    {
      TF_LANDSCAPE_TEXTURE
    }

    scale <TF_X_SCALE, TF_Y_SCALE, TF_Z_SCALE>

    // Center land in the x and z axes:
    //translate -0.5 * <TF_X_SCALE, 0, TF_Z_SCALE>
  }

// Create a bottommost plane for water
// Only visible if TF_WATER_CLARITY is <> 0

plane
{
  <0.00, 1.00, 0.00>, 0.00

  texture
  {
    pigment
    {
      color TF_WATER_BOTTOMCOLOR  // Bottom-of-the-sea
    }
  }
}


/*
#else

  #declare zoff = 0;
  #declare zlim = 2;

  #while (zoff  < zlim)

    #declare xoff = 0;
    #declare xlim = 2;

    #while (xoff  < xlim)

      object
      {
        TF_HEIGHT_FIELD

        texture
        {
          TF_LANDSCAPE_TEXTURE
        }

        scale <TF_X_SCALE, TF_Y_SCALE, TF_Z_SCALE>
        translate <TF_X_SCALE*(-1+xoff ), 0, TF_Z_SCALE*(-0.5+zoff)>
      }

      #declare xoff  = xoff  + 1;
    #end

    #declare zoff  = zoff  + 1;
  #end

#end
*/

